<?php
/*
* Template Name: Homepage Custom Layout
* Description: Homepage style with custom layout
*/

	get_header(); ?>

		<!--HOME START-->
		<div id="home" class="clearfix">
        
			<!--HEADER START-->
			<?php get_template_part( 'loop/homepage', 'menu' ); ?>
			<!--HEADER END-->
		
		
			<!--SLIDER START-->
			<?php get_template_part( 'loop/home', 'slider' ); ?>
    		<!--SLIDER END-->
                
		</div><!--/home end-->
		<!--HOME END-->
        
    <?php //BUILDER START
	if ( function_exists( 'ot_get_option' ) ) {
      
      /* get the slider array */
      $diux_sections = ot_get_option( 'custom_layout', array() );
      
      if ( ! empty( $diux_sections ) ) {
        foreach( $diux_sections as $diux_section ) {
            if ( $diux_section['section_type'] == 'about_content' ) {
               get_template_part( 'loop/about', 'loop' ); 
            } else
			if ( $diux_section['section_type'] == 'team_content' ) {
               get_template_part( 'loop/team', 'loop' ); 
            } else
			if ( $diux_section['section_type'] == 'portfolio_content' ) {
               get_template_part( 'loop/works', 'loop' ); 
            } else
			if ( $diux_section['section_type'] == 'client_content' ) {
               get_template_part( 'loop/client', 'loop' ); 
            } else

			if ( $diux_section['section_type'] == 'contact_content' ) {
               get_template_part( 'loop/contact', 'loop' ); 
            } else
			if ( $diux_section['section_type'] == 'custom_content' ) {
               		$diux_customsec = new WP_Query(array(  
							'post_type' =>  'custom-section',  
							'posts_per_page'  =>'1' ,
							'p' => $diux_section['custom_section']
						)  
					);  
					
					if ($diux_customsec->have_posts()) : while  ($diux_customsec->have_posts()) : $diux_customsec->the_post(); 
						 if (get_post_meta($post->ID, 'cs_format', true) == 'cs_default') { ?>
						<div id="<?php echo strtolower(preg_replace('/\s+/', '-',$diux_section['title'])); ?>" class="custom-section content clearfix">
 							<div class="container">
                            	<div class="row">
                            	<div class="col-md-2">
									<?php if ( get_post_meta($post->ID, 'cs_circle', true) !=='' ) { ?>
                                        <div class="top-title">
                                            <span><?php echo esc_attr(get_post_meta($post->ID, 'cs_circle', true)); ?></span>
                                        </div><!--/top-title-->
                                    <?php } ?>
                                </div><!--/.col-md-2-->
                    			
                                <div class="col-md-8">
                                    <h3 class="content-title">
                                    <?php echo esc_attr(get_post_meta($post->ID, 'cs_open_text', true)); ?>
                                    </h3>
                                </div><!--/.col-md-8-->
                                
                                <div class="col-md-2 icon-right">
									<?php if ( get_post_meta($post->ID, 'cs_icon', true) !=='' ) { ?>
                                    <i class="content-icon fa <?php echo esc_attr(get_post_meta($post->ID, 'cs_icon', true)); ?>"></i>
                                    <?php } ?>
                                </div><!--/.col-md-2-->
                                
                                <div class="spacing40 clearfix clearboth"></div>     
                                <?php if ( has_post_thumbnail() ) {
									the_post_thumbnail();
									echo '<div class="spacing30 clearboth"></div> ';
								}  
								the_content(); ?> 
                                </div><!--/.row-->                 
                        	</div><!--/container-->
						</div>

		
        	
						
						
						
						<?php } else  { ?>
						
						<div id="<?php echo strtolower(preg_replace('/\s+/', '-',$diux_section['title'])); ?>" class="custom-section bg <?php echo strtolower(preg_replace('/\s+/', '-',$diux_section['title'])); ?> content clearfix">
							<div class="gray-mask"></div>
							<div class="para-img custom-bg-img para-bg" data-background="<?php echo wp_get_attachment_url( get_post_thumbnail_id( $post->ID ) ) ?>"></div>
                            
                           	<div class="container">
                            	<div class="row">
                            	<div class="col-md-2">
									<?php if ( get_post_meta($post->ID, 'cs_circle', true) !=='' ) { ?>
                                        <div class="top-title">
                                            <span><?php echo esc_attr(get_post_meta($post->ID, 'cs_circle', true)); ?></span>
                                        </div><!--/top-title-->
                                    <?php } ?>
                                </div><!--/.col-md-2-->
                    			
                                <div class="col-md-8">
                                    <h3 class="content-title">
                                    <?php echo esc_attr(get_post_meta($post->ID, 'cs_open_text', true)); ?>
                                    </h3>
                                </div><!--/.col-md-8-->
                                
                                <div class="col-md-2 icon-right">
									<?php if ( get_post_meta($post->ID, 'cs_icon', true) !=='' ) { ?>
                                    <i class="content-icon fa <?php echo esc_attr(get_post_meta($post->ID, 'cs_icon', true)); ?>"></i>
                                    <?php } ?>
                                </div><!--/.col-md-2-->
                                
                                <div class="spacing40 clearfix clearboth"></div>     
                                <?php the_content(); ?> 
                                </div><!--/.row-->                 
                        	</div><!--/container-->
                
                
						</div><!--/.bg-->
						
						<?php }
					endwhile; endif; wp_reset_postdata(); 	
			} 
        }
      }
      
    }
    //BUILDER END
  
  	get_footer(); ?> 