<?php
/**
 * Initialize the About Post Meta Boxes. 
 */
add_action( 'admin_init', 'about_mb' );
function about_mb() {
  
  /**
   * Create a custom meta boxes array that we pass to 
   * the OptionTree Meta Box API Class.
   */
  $about_mb = array(
    'id'          => 'about_meta_box',
    'title'       => __( 'Post Setting', 'diux_plg' ),
    'desc'        => '',
    'pages'       => array( 'about-us' ),
    'context'     => 'normal',
    'priority'    => 'high',
    'fields'      => array(
	   array(
        'label'       => __( 'About Format Setting', 'diux_plg' ),
        'id'          => 'about_format',
        'type'        => 'tab',
      ),
		array(
        'label'       => __( 'Choose the about post format', 'diux_plg' ),
		'desc'        => __( 'You can choose the post format here.<br> The demo site is using <strong>Post with quote, list and button</strong> type.', 'diux_plg' ),
        'id'          => 'abt_format',
        'type'        => 'select',
		'std'		 => 'ab_post_quote',
		'choices'     => array( 
			  array(
                'value'       => 'ab_post_quote',
                'label'       => __( 'Post with quote, list and button', 'diux_plg' )
              ),
			  array(
                'value'       => 'ab_post_std',
                'label'       => __( 'Post with quote standard/wide', 'diux_plg' )
              ),
		)
      ),
	  array(
        'id'          => 'abt_block',
        'label'        => __('The title will be quote.', 'diux_plg' ),
        'std'         => '',
        'type'        => 'textblock-titled',
        'section'     => 'sections_setting',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => 'abt_format:is(ab_post_quote)',
        'operator'    => 'and',
      ),
	  
	  array(
        'id'          => 'abt_list',
        'label'       => esc_html__('About List', 'diux' ),
        'desc'        => esc_html__('Create your about list here. It will appear at the top of the post content.', 'diux_plg' ),
        'std'         => '',
        'type'        => 'list-item',
        'section'     => 'slider_sectio',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and',
		'condition'   => 'abt_format:is(ab_post_quote)',
        'settings'    => array( 
		  array(
            'id'          => 'abl_icon',
            'label'       => esc_html__('List icon', 'diux' ),
            'desc'        => esc_html__('Input your list icon here. <br /> You can check <a target="_blank" href="http://fontawesome.io/icons/">Here</a> for icon list. 
			eg. fa-snowflake-o', 'diux_plg' ),
            'std'         => '',
            'type'        => 'text',
            'rows'        => '',
            'post_type'   => '',
            'taxonomy'    => '',
            'min_max_step'=> '',
            'class'       => '',
            'condition'   => '',
            'operator'    => 'and'
          ),
          array(
            'id'          => 'abl_bottom_text',
            'label'       => esc_html__('Bottom text', 'diux' ),
            'desc'        => esc_html__('Input your small/bottom text here.', 'diux_plg' ),
            'std'         => '',
            'type'        => 'textarea-simple',
            'rows'        => '',
            'post_type'   => '',
            'taxonomy'    => '',
            'min_max_step'=> '',
            'class'       => '',
            'condition'   => '',
            'operator'    => 'and'
          ),

        )
      ),
	  array(
        'label'       => __( 'About Button Link', 'diux_plg' ),
        'id'          => 'abt_item_btn_link',
		'condition'   => 'abt_format:is(ab_post_quote)',
        'type'        => 'text',
        'desc'        => __( 'Insert your button link here.', 'diux_plg' ),
      ),
	  array(
        'label'       => __( 'About Button Text', 'diux_plg' ),
        'id'          => 'abt_item_btn_text',
		'condition'   => 'abt_format:is(ab_post_quote)',
        'type'        => 'text',
        'desc'        => __( 'Insert your button text here. ', 'diux_plg' ),
      ),
	  array(
        'label'       => __( 'About Button Background Image', 'diux_plg' ),
        'id'          => 'abt_btn_img',
		'condition'   => 'abt_format:is(ab_post_quote)',
        'type'        => 'upload',
        'desc'        => __( 'Upload your background image for about button here.', 'diux_plg' ),
      ),
		array(
        'label'       => __( 'About Top  Setting', 'diux_plg' ),
        'id'          => 'about_top_setting',
        'type'        => 'tab',
      ),
	  array(
        'label'       => __( 'Choose Type for Top Content Here', 'diux_plg' ),
		'desc'        => __( 'You can choose image/video/slider/audio to display at the top of the post content.', 'diux_plg' ),
        'id'          => 'abt_type',
        'type'        => 'select',
		'std'		 => 'abt_video',
		'choices'     => array( 
			  array(
                'value'       => 'abt_img',
                'label'       => __( 'Top with Image', 'diux_plg' )
              ),
			  array(
                'value'       => 'abt_slider',
                'label'       => __( 'Top with  Slider', 'diux_plg' )
              ),
			  array(
                'value'       => 'abt_video',
                'label'       => __( 'Top with  Video', 'diux_plg' )
              ),
			  array(
                'value'       => 'abt_audio',
                'label'       => __( 'Top with  Audio', 'diux_plg' )
              ),
		)
      ),
	  
	  array(
        'label'       => __( 'Big Image Setting', 'diux_plg' ),
        'id'          => 'abt_image_setting',
        'type'        => 'upload',
        'desc'        => __( 'Upload your image here. Leave it blank if you want to used featured image.', 'diux_plg' ),
        'condition'   => 'abt_type:is(abt_img)'
      ),
	  array(
        'label'       => __( 'Slider Setting', 'diux_plg' ),
        'id'          => 'abt_slider_setting',
        'type'        => 'gallery',
        'desc'        => __( 'Create your top slider here.', 'diux_plg' ),
        'condition'   => 'abt_type:is(abt_slider)'
      ),
	  array(
        'label'       => __( 'Video Setting', 'diux_plg' ),
        'id'          => 'abt_video_setting',
        'type'        => 'text',
        'desc'        => __( 'Insert the link for video embed here.<br/> For video from youtube/vimeo just put the link without any attribute like ?wmode=opaque.<br/>eg: http://www.youtube.com/embed/nAuo7KEQHT4 or http://player.vimeo.com/video/64078587 <br/> You can use the audio type if you want to use your own embed media code.', 'diux_plg' ),
        'condition'   => 'abt_type:is(abt_video)'
      ),
	   array(
        'label'       => __( 'Audio Setting', 'diux_plg' ),
        'id'          => 'abt_audio_setting',
        'type'        => 'textarea',
		'rows'        => '3',
        'desc'        => __( 'Insert your iframe/embedded code for audio here.<br/>
		You can input iframe/embed code from youtube/vimeo here too, if you don\'t like the default style of about video.', 'diux_plg' ),
        'condition'   => 'abt_type:is(abt_audio)'
      ),
	  

	  

    )
  );
  
  /**
   * Register our meta boxes using the 
   * ot_register_meta_box() function.
   */
  if ( function_exists( 'ot_register_meta_box' ) )
    ot_register_meta_box( $about_mb );

}

