<?php
/**
 * Initialize the Custom Section Post Meta Boxes. 
 */
add_action( 'admin_init', 'customsection_mb' );
function customsection_mb() {
  
  /**
   * Create a custom meta boxes array that we pass to 
   * the OptionTree Meta Box API Class.
   */
  $csection_mb = array(
    'id'          => 'customsection_meta_box',
    'title'       => __( 'Post Setting', 'diux_plg' ),
    'desc'        => '',
    'pages'       => array( 'custom-section' ),
    'context'     => 'normal',
    'priority'    => 'high',
    'fields'      => array(

      array(
        'label'       => __( 'Choose Custom Section Format Here', 'diux_plg' ),
        'id'          => 'cs_format',
        'type'        => 'select',
		'std'		 => 'cs_default',
		'choices'     => array( 
			  array(
                'value'       => 'cs_default',
                'label'       => __( 'Default/White Background Section', 'diux_plg' )
              ),
			  array(
                'value'       => 'cs_para',
                'label'       => __( 'Image Background Section', 'diux_plg' )
              ),
		)
      ),
	  array(
        'label'       => __( 'Post Detail', 'diux_plg' ),
        'id'          => 'cs_p2_text',
        'type'        => 'textblock-titled',
        'desc'        => __( 'You can use the Bootstrap Shortcodes (recommended plugin) in post content to make your own layout.', 'diux_plg' ),
        'condition'   => 'cs_format:is(cs_default)'
      ),
	  array(
        'label'       => __( 'Background Image Detail', 'diux_plg' ),
        'id'          => 'cs_p_text',
        'type'        => 'textblock-titled',
        'desc'        => __( '<b>Post content</b> will be the <b>content</b>.<br/><b>Featured Image</b> will be the <b>background image</b>.
		<br> You can use the Bootstrap Shortcodes (recommended plugin) in post content to make your own layout.', 'diux_plg' ),
        'condition'   => 'cs_format:is(cs_para)'
      ),
	  array(
        'label'       => __( 'Section Black Circle', 'diux_plg' ),
        'id'          => 'cs_circle',
        'type'        => 'text',
		'rows'		 => '3',
        'desc'        => __( 'Insert section black circle text here.', 'diux_plg' ),
      ),
	  array(
        'label'       => __( 'Section Title', 'diux_plg' ),
        'id'          => 'cs_open_text',
        'type'        => 'text',
		'rows'		 => '3',
        'desc'        => __( 'Insert section title text here.', 'diux_plg' ),
      ),
	  	  array(
        'label'       => __( 'Section Icon', 'diux_plg' ),
        'id'          => 'cs_icon',
        'type'        => 'text',
		'rows'		 => '3',
        'desc'        => __( 'Insert section icon here. <br /> You can check <a target="_blank" href="http://fontawesome.io/icons/">Here</a> for icon list. eg. fa-github', 'diux_plg' ),
      ),
	  
	  
    )
  );
  
  /**
   * Register our meta boxes using the 
   * ot_register_meta_box() function.
   */
  if ( function_exists( 'ot_register_meta_box' ) )
    ot_register_meta_box( $csection_mb );

}