<?php
// Registers the new post type 

function wpt_portfolio_posttype() {
	register_post_type( 'portfolio',
		array(
			'labels' => array(
				'name' => __( 'Portfolio', 'diux_plg' ),
				'singular_name' => __( 'Portfolio' , 'diux_plg'),
				'add_new' => __( 'Add New Portfolio', 'diux_plg' ),
				'add_new_item' => __( 'Add New Portfolio', 'diux_plg' ),
				'edit_item' => __( 'Edit Portfolio', 'diux_plg' ),
				'new_item' => __( 'Add New Portfolio', 'diux_plg' ),
				'view_item' => __( 'View Portfolio', 'diux_plg' ),
				'search_items' => __( 'Search Portfolio', 'diux_plg' ),
				'not_found' => __( 'No Portfolio found', 'diux_plg' ),
				'not_found_in_trash' => __( 'No Portfolio found in trash', 'diux_plg' )
			),
			'public' => true,
			'supports' => array( 'title', 'editor', 'thumbnail', 'comments' , 'excerpt'),
			'capability_type' => 'post',
			'rewrite' => array("slug" => "portfolio"), // Permalinks format
			'menu_position' => 5,
			'exclude_from_search' => true 
		)
	);

}

add_action( 'init', 'wpt_portfolio_posttype' );

//add taxonomies(portfolio category)
function aslina_taxonomies_portfolio() {
	$labels = array(
		'name'              => _x( 'Portfolio Categories', 'taxonomy general name' ),
		'singular_name'     => _x( 'Portfolio Category', 'taxonomy singular name' ),
		'search_items'      => __( 'Search Portfolio Categories' ),
		'all_items'         => __( 'All Portfolio Categories' ),
		'parent_item'       => __( 'Parent Portfolio Category' ),
		'parent_item_colon' => __( 'Parent Portfolio Category:' ),
		'edit_item'         => __( 'Edit Portfolio Category' ), 
		'update_item'       => __( 'Update Portfolio Category' ),
		'add_new_item'      => __( 'Add New Portfolio Category' ),
		'new_item_name'     => __( 'New Portfolio Category' ),
		'menu_name'         => __( 'Portfolio Categories' ),
	);
	$args = array(
		'labels' => $labels,
		'hierarchical' => true,
	);
	register_taxonomy( 'portfolio_category', 'portfolio', $args );
}
add_action( 'init', 'aslina_taxonomies_portfolio', 0 );



//script for single portfolio	
function diux_single_portfolio() {
	if( is_page_template( 'homepage-slider.php' ) || is_page_template( 'homepage-youtube.php' )|| is_page_template( 'homepage-video.php' )|| is_page_template( 'homepage-custom-layout.php' )){

?>
	<script type="text/javascript">
	(function ($) {
		"use strict";
		
			//portfolio ajax & scroll on click
			$('.port-ajax').on('click', function() {
				//portfolio ajax setting
				var toLoad = $(this).attr('data-link') + ' .worksajax > *';
				$('.worksajax').slideUp('slow', loadContent);
		
				function loadContent() {
					$('.worksajax').load(toLoad, '', showNewContent)
				}
		
				function showNewContent() {
					$.getScript("<?php echo get_template_directory_uri(); ?>/js/portfolio.js");
					$('.worksajax').slideDown('slow');
				}
				
		
				//portfolio scrolling
				var menuheigt = $( ".for-sticky" ).height();
				$('html, body').stop().animate({
					scrollTop: $('#worksajax').offset().top - menuheigt
					
				}, 1000, 'linear');
				return false;
			});
		
		
		
		
			//isotope setting(portfolio)
			var $container = $('.portfolio-body');
			$(window).on("load", function() {
				$container.imagesLoaded(function() {
					$container.isotope();
				});
			});
		
			// filter items when filter link is clicked
			$('.port-filter a').on('click', function() {
				var selector = $(this).attr('data-filter');
				$container.isotope({
					itemSelector: '.port-item',
					filter: selector
				});
				return false;
			});
			
			//adding active state to portfolio filtr
			$(".port-filter a").on('click', function() {
				$(".port-filter a").removeClass("active");
				$(this).addClass("active");
			});	
		})(jQuery);	
	</script>
<?php }

}
//script for portfolio ajax
add_action( 'wp_footer', 'diux_single_portfolio',102 );