<?php
/**
 * Initialize the Team Post Meta Boxes. 
 */
add_action( 'admin_init', 'team_mb' );
function team_mb() {
  
  /**
   * Create a custom meta boxes array that we pass to 
   * the OptionTree Meta Box API Class.
   */
  $teamp_mb = array(
    'id'          => 'team_meta_box',
    'title'       => __( 'Team Post Setting', 'diux_plg' ),
    'desc'        => '',
    'pages'       => array( 'team-post' ),
    'context'     => 'normal',
    'priority'    => 'high',
    'fields'      => array(



	  array(
        'id'          => 'team_cp',
        'label'        => __( 'Recommended size for team small width featured image is 800x600px<br/>
		Recommended size for team big width featured image is 1200x450px', 'diux_plg' ),
		'desc'        => '',
        'std'         => '',
        'type'        => 'textblock-titled',
      ),
	  array(
        'label'       => __( 'Choose Team Width Here', 'diux_plg' ),
        'id'          => 'team_width',
        'type'        => 'select',
		'std'		 => 'team_small',
		'choices'     => array( 
			  array(
                'value'       => 'team_small',
                'label'       => __( 'Team Small Width', 'diux_plg' )
              ),
			  array(
                'value'       => 'team_big',
                'label'       => __( 'Team Big Width', 'diux_plg' )
              ),
		)
      ),
	  
	  array(
        'label'       => __( 'Choose Team Format Here', 'diux_plg' ),
        'id'          => 'team_format',
        'type'        => 'select',
		'std'		 => 'team_std',
		'choices'     => array( 
			  array(
                'value'       => 'team_std',
                'label'       => __( 'Team Standard post', 'diux_plg' )
              ),
			  array(
                'value'       => 'team_btn',
                'label'       => __( 'Button link', 'diux_plg' )
              ),
		)
      ),
	  
	   array(
        'id'          => 'team_btn_cp',
        'label'        => __( 'The feauted images will be the background image for the button.', 'diux_plg' ),
		'desc'        => '',
        'std'         => '',
		'condition'   => 'team_format:is(team_btn)',
        'type'        => 'textblock-titled',
      ),
	  array(
        'label'       => __( 'Team Button Link', 'diux_plg' ),
        'id'          => 'tp_link_btn',
        'type'        => 'text',
		'condition'   => 'team_format:is(team_btn)',
        'desc'        => __( 'Isert your button link here.', 'diux_plg' ),
      ),
	  array(
        'label'       => __( 'Team Button Text', 'diux_plg' ),
        'id'          => 'tp_text_btn',
        'type'        => 'text',
		'condition'   => 'team_format:is(team_btn)',
        'desc'        => __( 'Input your button text here.', 'diux_plg' ),
      ),
	  
      array(
        'label'       => __( 'Team Position', 'diux_plg' ),
        'id'          => 'tp_post',
        'type'        => 'text',
		'condition'   => 'team_format:is(team_std)',
        'desc'        => __( 'Input team position here.', 'diux_plg' ),
      ),

	   array(
        'label'       => __( 'Facebook link', 'diux_plg' ),
        'id'          => 'fb_si',
        'type'        => 'text',
		'condition'   => 'team_format:is(team_std)',
        'desc'        => __( 'Input link for Facebook', 'diux_plg' ),
      ),
	  array(
        'label'       => __( 'Twitter link', 'diux_plg' ),
        'id'          => 'twit_si',
        'type'        => 'text',
		'condition'   => 'team_format:is(team_std)',
        'desc'        => __( 'Input link for Twitter', 'diux_plg' )
      ),
	  array(
        'label'       => __( 'Pinterest link', 'diux_plg' ),
        'id'          => 'pinterest_si',
		'condition'   => 'team_format:is(team_std)',
        'type'        => 'text',
        'desc'        => __( 'Input link for Pintereset', 'diux_plg' )
      ),
	  array(
        'label'       => __( 'Google Plus link', 'diux_plg' ),
        'id'          => 'gp_si',
		'condition'   => 'team_format:is(team_std)',
        'type'        => 'text',
        'desc'        => __( 'Input link for Google Plus', 'diux_plg' )
      ),
	  array(
        'label'       => __( 'Instagram link', 'diux_plg' ),
        'id'          => 'instagram_si',
		'condition'   => 'team_format:is(team_std)',
        'type'        => 'text',
        'desc'        => __( 'Input link for Instagram', 'diux_plg' )
      ),
	  array(
        'label'       => __( 'Xing link', 'diux_plg' ),
        'id'          => 'xing_si',
		'condition'   => 'team_format:is(team_std)',
        'type'        => 'text',
        'desc'        => __( 'Input link for Xing', 'diux_plg' )
      ),
	  array(
        'label'       => __( 'Another Social icon list', 'diux_plg' ),
        'id'          => 'another_si',
		'condition'   => 'team_format:is(team_std)',
        'type'        => 'list-item',
        'desc'        => __( 'Create another social icon list here.', 'diux_plg' ),
		'settings'    => array( 
          array(
            'id'          => 'si_icon',
            'label'       => __( 'Social Icon', 'diux_plg' ),
            'desc'        => __( 'Input your social icon here. <br/> You can check <a href="http://fontawesome.io/icons/" target="_blank">Here</a> for icon list. eg. fa-github', 'diux_plg' ),
            'type'        => 'text',
          ),
		  array(
            'id'          => 'si_icon_link',
            'label'       => __( 'Social Icon Link', 'diux_plg' ),
            'desc'        => __( 'Input your social icon link here.', 'diux_plg' ),
            'type'        => 'text',
          ),
		)
      ),
	  array(
        'label'       => __( 'Email link', 'diux_plg' ),
        'id'          => 'email_si',
		'condition'   => 'team_format:is(team_std)',
        'type'        => 'text',
        'desc'        => __( 'Input email here(email address only,without mailto:)', 'diux_plg' )
      ),
    )
  );
  
  /**
   * Register our meta boxes using the 
   * ot_register_meta_box() function.
   */
  if ( function_exists( 'ot_register_meta_box' ) )
    ot_register_meta_box( $teamp_mb );

}